#extension GL_ARB_draw_buffers : enable

varying vec3 position, normal;
uniform sampler2D Tex0;

void main(void)
{
	gl_FragData[0] = vec4(position.xyz, 0.0);
	gl_FragData[1] = vec4(normalize(normal.xyz), 0.0);
	gl_FragData[2] = texture2D(Tex0, gl_TexCoord[0].st);
}
